## org.apache.aries.subsystem.core.internal
Class RegionUpdater

    java.lang.Object
      org.apache.aries.subsystem.core.internal.RegionUpdater

    public class RegionUpdater

extends Object

Field Summary
`static int` `MAX_ATTEMPTS_DEFAULT`

Constructor Summary
`RegionUpdater(org.eclipse.equinox.region.Region tail, org.eclipse.equinox.region.Region head)`

Method Summary
`void` `addRequirements(Collection<? extends org.osgi.resource.Requirement> requirements)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_ATTEMPTS_DEFAULT

    public static final int MAX_ATTEMPTS_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### RegionUpdater

    public RegionUpdater(org.eclipse.equinox.region.Region tail,
                         org.eclipse.equinox.region.Region head)

Method Detail

### addRequirements

    public void addRequirements(Collection<? extends org.osgi.resource.Requirement> requirements)
                         throws org.osgi.framework.BundleException,
                                org.osgi.framework.InvalidSyntaxException

  Throws:
    `org.osgi.framework.BundleException`
    `org.osgi.framework.InvalidSyntaxException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.